curl --request GET \
--url http://{your-domain}/v1/aibot/bots/{AgentId} \
--header 'Authorization: Bearer <token>'{
"name": "My Agent",
"introduction": "Introduction",
"AgentId": "Agent-xxx",
"welcomeMessage": "Welcome!",
"avatar": "http://xxx.avatar.image",
"background": "http://xxx.background.image",
"isNeedRecommend": false,
"type": "text",
"searchEnable": false
}curl --request GET \
--url http://{your-domain}/v1/aibot/bots/{AgentId} \
--header 'Authorization: Bearer <token>'{
"name": "My Agent",
"introduction": "Introduction",
"AgentId": "Agent-xxx",
"welcomeMessage": "Welcome!",
"avatar": "http://xxx.avatar.image",
"background": "http://xxx.background.image",
"isNeedRecommend": false,
"type": "text",
"searchEnable": false
}Token corresponding to the environment ID, obtained through login authentication
Successfully retrieved AI Agent information
Agent name
"My Agent"
Agent introduction
"Introduction"
Agent ID, generated by the system
"Agent-xxx"
Agent welcome message
"Welcome!"
Agent avatar URL
"http://xxx.avatar.image"
Agent chat background image URL
"http://xxx.background.image"
Whether to recommend questions after Agent response
false
Agent type, text or image
"text"
Whether to enable web search
false
Was this page helpful?